MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007707Community[OCCT] OCCT:Data Exchangepublic2005-01-12 18:362012-03-29 17:26
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.2Fixed in Version[OCCT] 6.5.2 
Summary0007707: Unused static function CheckSubShape in the file XCAFDoc_ShapeTool.cxx
DescriptionThis bug is inspired by forum message by Kai Anding, see thread 7073:
http://www.opencascade.org/org/forum/thread_7073 [^]

The static function CheckSubShape in the file XCAFDoc_ShapeTool.cxx is not used
since OCC5.2 and shall be commented out
TagsNo tags attached.
Test case numberTest case is not required
Attached Filesgz file icon epaOCC7707.tar.gz (17,760 bytes) 2008-10-03 13:29

- Relationships

-  Notes
(0017901)
szy (administrator)
2011-08-03 18:06

The problem is fixed. Branch - 0007707.
(0017931)
bugmaster (administrator)
2011-08-09 12:13

Anton,
Please revise branch:
http://svn/svn/occt/branches/0007707 [^]
(0017987)
apl (developer)
2011-08-12 14:12

Dear BugMaster,

SVN branch http://svn/svn/occt/branches/0007707 [^] has been reviewed and all remarks in modifications has been corrected: C-style comments replaced with C++ style comments;
Branch is ready for testing
(0018048)
mkv (tester)
2011-08-31 20:10
edited on: 2011-11-25 11:19

Dear BugMaster,
Workbench KAS:dev:mkv-OCC7707-occt has been created from SVN branch http://svn/svn/occt/branches/0007707 [^]
(and mkv-OCC7707-products from trank) and compiled on Linux platform.

There are not regressions in mkv-OCC7707-products regarding to KAS:dev:products-20110810-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-OCC7707-products_30082011/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20110810-opt_11082011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt.certification [^]

(0018065)
bugmaster (administrator)
2011-09-02 13:02

Date: 2011-09-02 13:01:56 +0400 (Fri, 02 Sep 2011)
New Revision: 8945

Modified:
   trunk/src/XCAFDoc/XCAFDoc_ShapeTool.cxx

- Related Changesets
occt: master 1d07572c
Timestamp: 2011-09-02 09:01:56
Author: epa
Committer: bugmaster
Details ] Diff ]
0007707: Unused static function CheckSubShape in the file XCAFDoc_ShapeTool.cxx
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2005-01-13 09:10 bugmaster Status closed => assigned
2005-01-13 09:10 bugmaster Resolution suspended => @0@
2005-01-13 09:10 bugmaster Assigned To bugmaster => pdn
2010-07-01 11:48 bugmaster Status assigned => resolved
2011-04-06 18:48 bugmaster Assigned To pdn => szy
2011-04-06 18:48 bugmaster Status resolved => assigned
2011-04-13 14:23 szy Assigned To szy => gka
2011-04-25 18:42 bugmaster Assigned To gka => szy
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-08-03 18:06 szy Note Added: 0017901
2011-08-03 18:06 szy Status assigned => resolved
2011-08-09 12:13 bugmaster Note Added: 0017931
2011-08-09 12:13 bugmaster Assigned To szy => apl
2011-08-09 12:13 bugmaster Status resolved => assigned
2011-08-12 14:12 apl Note Added: 0017987
2011-08-12 14:13 apl Status assigned => reviewed
2011-08-31 11:13 mkv Test case number => Test case is not required
2011-08-31 11:13 mkv Fixed in Version EMPTY =>
2011-08-31 11:13 mkv Description Updated View Revisions
2011-08-31 20:10 mkv Note Added: 0018048
2011-08-31 20:10 mkv Status reviewed => tested
2011-09-02 13:02 bugmaster Note Added: 0018065
2011-09-02 13:02 bugmaster Status tested => verified
2011-09-02 13:02 bugmaster Resolution open => fixed
2011-09-02 13:02 bugmaster Target Version => 6.5.2
2011-11-25 11:19 szy Note Edited: 0018048 View Revisions
2012-03-29 17:26 bugmaster Changeset attached => occt master 1d07572c


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker